#pragma once


#include "INetworkProvider.h"
#include "Network_Core.h"
#include "TCPSocket.h"
#include "UDPSocket.h"
#include "TCPListener.h"
#include "Packet.h"

class GSP420NetworkProvider : public INetworkProvider
{
public:
	~GSP420NetworkProvider();

	auto Init() -> void;
	auto Send(const char* address, int port, void* dataLocation, int dataSize, bool connectionless) -> int;
	auto Receive(int port, void* bufferLocation, int bufferSize, bool connectionless) -> int;
	auto Shutdown() -> void;
};