#include "TCPListener.h"
#include "TCPSocket.h"

TCPListener::TCPListener(int port) : TCPSocket(port)
{
	BindSocket();
}

bool TCPListener::Listen()
{
	SOCKET LSocket;
	//Listen for incoming connection
	if(listen(gSocket, SOMAXCONN) == SOCKET_ERROR)
	{
		Network_Core::Instance()->ShowLastError("TCPListener::Listen");
		return false;
	}

	//Create client socket
	gSocket = accept(gSocket, NULL, NULL);
	if(gSocket == INVALID_SOCKET)
	{
		Network_Core::Instance()->ShowLastError("TCPListener::Listen");
		return false;
	}

	return true;
}


